using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CS_FillCurves
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tChart1.Aspect.View3D = false;
            tChart1.Zoom.Direction = Steema.TeeChart.ZoomDirections.Horizontal;
            tChart1.Legend.Visible = false;
            
            //int[] YPos = new int[nSeries];
            Steema.TeeChart.Styles.FastLine fast = new Steema.TeeChart.Styles.FastLine();
            Steema.TeeChart.Tools.SeriesRegionTool region = new Steema.TeeChart.Tools.SeriesRegionTool();

            System.IO.StreamReader sr = new System.IO.StreamReader("c:\\Chart_Display.txt");
            fast = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            region = new Steema.TeeChart.Tools.SeriesRegionTool(tChart1.Chart);
            region.Series = fast;
            //region[i].Origin = YPos[i];
            region.UseOrigin = true;
            region.Brush.Style = System.Drawing.Drawing2D.HatchStyle.Vertical;
            region.Brush.Transparency = 100;
            region.Pen.Visible = false;
            region.Brush.ForegroundColor = fast.Color;
            double xVal, yVal;
            string [] temp = new string [2];
            char[] delim = { ',' };
            while (sr.EndOfStream == false)
            {
                temp[0] = sr.ReadLine();
                if (String.IsNullOrEmpty(temp[0] ))
                {
                    continue;
                }
                    temp = temp[0].Split(delim);
                xVal = Convert.ToDouble(temp[0]);
                yVal = Convert.ToDouble(temp[1]);
                fast.Add(xVal, yVal);
            }
            sr.Close();           

        }
    }
}